clone_depth: 50

environment:

  APPVEYOR: True
  NETWORK_REQUIRED: True
  CODECOV_ENV: APPVEYOR_JOB_NAME

  matrix:
    - APPVEYOR_JOB_NAME: "python36-x64"
      PYTHON: "C:\\Python36-x64"
    - APPVEYOR_JOB_NAME: "python27-x64"
      PYTHON: "C:\\Python27-x64"

install:
  # symlink python from a directory with a space
  - "mklink /d \"C:\\Program Files\\Python\" %PYTHON%"
  - "SET PYTHON=\"C:\\Program Files\\Python\""
  - "SET PATH=%PYTHON%;%PYTHON%\\Scripts;%PATH%"

build: off

cache:
  - '%LOCALAPPDATA%\pip\Cache'

test_script:
  - python --version
  - python -m pip install --disable-pip-version-check --upgrade pip setuptools wheel
  - pip install --upgrade tox tox-venv virtualenv
  - pip freeze --all
  - python bootstrap.py
  - tox -- --cov

after_test:
    - tox -e coverage,codecov

version: '{build}'
